=== debian/changelog ===
ocaml-visitors (20170404-1ubuntu1) artful; urgency=medium

  * Add ocamlbuild build-dep.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Jul 2017 12:04:41 +0100

ocaml-visitors (20170404-1build1) artful; urgency=high

  * No change rebuild against new findlib.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Jul 2017 09:44:53 +0100

ocaml-visitors (20170404-1) unstable; urgency=medium

  * Initial upload (closes: #862775)

 -- Ralf Treinen <treinen@debian.org>  Thu, 06 Jul 2017 12:52:24 +0200
