=== debian/control ===
Source: ocaml-visitors
Section: ocaml
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
Build-Depends: debhelper (>= 10), dh-ocaml (>= 0.9~),
 ocaml-nox (>= 4.02.2), libfindlib-ocaml, cppo,
 libppx-deriving-ocaml-dev, ocamlbuild
Build-Depends-Indep: texlive-latex-base, latexmk,
 lmodern, texlive-fonts-recommended, texlive-latex-extra,
 ocp-indent
Standards-Version: 4.0.0
Homepage: https://gitlab.inria.fr/fpottier/visitors
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-visitors.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-visitors.git

Package: libppx-visitors-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml syntax extension for object-oriented visitors
 Visitors is a syntax extension for the OCaml programming language. It
 allows you to annotate your type definitions, such that a visitor class
 will be automatically generated. This visitor class contains methods
 for the traversal of your data structure, like iter, map, fold, etc. It
 is then easy to override these methods for your needs. This is very
 convenient when programming with complex algebraic data structures.

Package: libppx-visitors-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation of the visitors syntax extension for OCaml 
 This package contains the documentation of the visitors syntax extension
 for the OCaml programming language.
