## ocaml-visitors 20170725

=== Makefile ===
.PHONY: all clean install uninstall reinstall

all clean install uninstall reinstall:
	$(MAKE) -C src $@
