=== debian/changelog ===
ocaml-visitors (20170725-2) unstable; urgency=medium

  * Patch ocaml-4.05: migrate to ocaml 4.05, patch picked from upstream git
    (closes: #880063)
  * Standards-Version 4.1.1:
    - replace Priority extra by optional. 

 -- Ralf Treinen <treinen@debian.org>  Mon, 30 Oct 2017 20:22:58 +0100

ocaml-visitors (20170725-1) unstable; urgency=medium

  * New upstream release. This release fixes compilation on bytecode
    architectures (closes: #869207)
  * Added build-dependency on ocamlbuild.

 -- Ralf Treinen <treinen@debian.org>  Fri, 28 Jul 2017 22:32:00 +0200
