=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: ocaml-visitors
 Section: ocaml
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Priority: optional
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
 Build-Depends: debhelper (>= 10), dh-ocaml (>= 0.9~),
- ocaml-nox (>= 4.02.2), libfindlib-ocaml, cppo,
- libppx-deriving-ocaml-dev, ocamlbuild
+ ocaml-nox (>= 4.02.2), libfindlib-ocaml, cppo, ocamlbuild,
+ libppx-deriving-ocaml-dev
 Build-Depends-Indep: texlive-latex-base, latexmk,
  lmodern, texlive-fonts-recommended, texlive-latex-extra,
  ocp-indent
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://gitlab.inria.fr/fpottier/visitors
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-visitors.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-visitors.git
