=== debian/rules ===
#!/usr/bin/make -f

ODESTDIR = $(CURDIR)/debian/libppx-visitors-ocaml-dev/usr/lib/ocaml

%:
	dh $@ --with ocaml

override_dh_auto_build:
	# do nothing

build-arch:
	$(MAKE)

build-indep:
	cd doc && $(MAKE) 

override_dh_auto_install:
	# do nothing

override_dh_install-arch:
	mkdir -p $(ODESTDIR)
	OCAMLFIND_DESTDIR=$(ODESTDIR) make install

override_dh_install-indep:
	dh_installdocs -i

override_dh_auto_test:
	# do nothing
