=== debian/tests/control ===
Tests: weight
Depends: @, ocaml-nox, libfindlib-ocaml
