## ocaml-visitors 20180306

=== debian/changelog ===
ocaml-visitors (20180306-3) unstable; urgency=medium

  * autopkgtest: depends on ocamlbuild
  * libppx-visitors-ocaml-dev: suggests -doc package.

 -- Ralf Treinen <treinen@debian.org>  Wed, 11 Jul 2018 07:59:45 +0200

ocaml-visitors (20180306-2) unstable; urgency=medium

  * Vcs-{Browser,Git}: update to salsa.
  * Standards-Version 4.1.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 09 Jul 2018 21:07:17 +0200

ocaml-visitors (20180306-1) unstable; urgency=medium

  * New upstream version.
    - dropped patch ocaml-4.05 since issue is solved upstream.
  * Standards-Version 4.1.3:
    - d/copyright: use https in format specifier
  * debhelper compatibility level 11:
    - fixed file location in libppx-visitors-ocaml-doc.doc-base since
      dh_installdocs now installs into the /usr/share/doc of the main
      package.
  * Add minimal version of build-dependency libppx-deriving-ocaml-dev.

 -- Ralf Treinen <treinen@debian.org>  Wed, 21 Mar 2018 20:43:06 +0100
