=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
-Build-Depends: debhelper (>= 10), dh-ocaml (>= 0.9~),
+Build-Depends: debhelper (>= 11), dh-ocaml (>= 0.9~),
  ocaml-nox (>= 4.02.2), libfindlib-ocaml, cppo, ocamlbuild,
- libppx-deriving-ocaml-dev
+ libppx-deriving-ocaml-dev (>= 4.0)
 Build-Depends-Indep: texlive-latex-base, latexmk,
  lmodern, texlive-fonts-recommended, texlive-latex-extra,
  ocp-indent
-Standards-Version: 4.1.1
+Standards-Version: 4.1.5
 Homepage: https://gitlab.inria.fr/fpottier/visitors
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-visitors.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-visitors.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-visitors
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-visitors.git
 
 Package: libppx-visitors-ocaml-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
+Suggests: libppx-visitors-ocaml-doc
 Description: OCaml syntax extension for object-oriented visitors
  Visitors is a syntax extension for the OCaml programming language. It
  allows you to annotate your type definitions, such that a visitor class
