=== debian/changelog ===
ocaml-visitors (20180513-1) unstable; urgency=medium

  * New upstream version.  This version allows projects using the -dev
    package to build under dune.
  * Build-depend on debhelper-compat (=12)

 -- Ralf Treinen <treinen@debian.org>  Mon, 18 Feb 2019 20:38:44 +0100

ocaml-visitors (20180306-4) unstable; urgency=medium

  * Standards-Version 4.3.0 (no change)
  * Debhelper compatibility level 12 (no change)
  * -dev package Suggests ocaml-findlib since package has a META file
  * Remove trailing white space in debian/{changelog,rules,control}

 -- Ralf Treinen <treinen@debian.org>  Tue, 08 Jan 2019 21:26:16 +0100
