=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
-Build-Depends: debhelper (>= 11), dh-ocaml (>= 0.9~),
+Build-Depends: debhelper-compat (= 12), dh-ocaml (>= 0.9~),
  ocaml-nox (>= 4.02.2), libfindlib-ocaml, cppo, ocamlbuild,
  libppx-deriving-ocaml-dev (>= 4.0)
 Build-Depends-Indep: texlive-latex-base, latexmk,
  lmodern, texlive-fonts-recommended, texlive-latex-extra,
  ocp-indent
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://gitlab.inria.fr/fpottier/visitors
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-visitors
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-visitors.git
@@ -18,7 +18,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
-Suggests: libppx-visitors-ocaml-doc
+Suggests: libppx-visitors-ocaml-doc, ocaml-findlib
 Description: OCaml syntax extension for object-oriented visitors
  Visitors is a syntax extension for the OCaml programming language. It
  allows you to annotate your type definitions, such that a visitor class
@@ -31,6 +31,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Description: Documentation of the visitors syntax extension for OCaml 
+Description: Documentation of the visitors syntax extension for OCaml
  This package contains the documentation of the visitors syntax extension
  for the OCaml programming language.
