=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	$(MAKE)
 
 build-indep:
-	cd doc && $(MAKE) 
+	cd doc && $(MAKE)
 
 override_dh_auto_install:
 	# do nothing
