## ocaml-visitors 20190711

=== debian/changelog ===
ocaml-visitors (20190711-2build1) eoan; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2019 19:01:08 +0200

ocaml-visitors (20190711-2) unstable; urgency=medium

  * Team upload
  * Fix overrides in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Sep 2019 13:22:35 +0200

ocaml-visitors (20190711-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version 4.4.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 17 Jul 2019 22:52:52 +0200
