=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends-Indep: texlive-latex-base, latexmk,
  lmodern, texlive-fonts-recommended, texlive-latex-extra,
  ocp-indent
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://gitlab.inria.fr/fpottier/visitors
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-visitors
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-visitors.git
