=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,10 @@
 %:
 	dh $@ --with ocaml
 
-override_dh_auto_build:
-	# do nothing
-
-build-arch:
+override_dh_auto_build-arch:
 	$(MAKE)
 
-build-indep:
+override_dh_auto_build-indep:
 	cd doc && $(MAKE)
 
 override_dh_auto_install:
