=== debian/changelog ===
ocaml-visitors (20200210-3) unstable; urgency=medium

  * Team upload
  * Call dune build with -p to avoid warnings-as-erros

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Oct 2020 07:31:03 +0200

ocaml-visitors (20200210-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * libppx-visitors-ocaml-doc: add Multi-Arch: foreign
  * debian/rules: include ocamlvars.mk to improve reproducibility

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Jul 2020 08:31:28 +0200

ocaml-visitors (20200210-1) unstable; urgency=medium

  * New upstream release
  * Build-dependencies:
    - bump version of ocaml-nox
    - drop ocamlbuild and ocamlfind
    - add dune
    - add libppx-tools-ocaml-dev
    - bump version of libppx-deriving-ocaml-dev
    - add libresult-ocaml-dev
  * debian/rules: use dune to build and install
  * installation: update filename of the manual
  * override dh_missing to use the --fail-missing option
  * Standards-version 4.5.0 (no change)
  * Fix addresses in Vcs-{Git,Browser}
  * As-installed test: be more verbose

 -- Ralf Treinen <treinen@debian.org>  Tue, 11 Feb 2020 20:54:22 +0100
