=== debian/control ===
--- 
+++ 
@@ -3,16 +3,22 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
-Build-Depends: debhelper-compat (= 12), dh-ocaml (>= 0.9~),
- ocaml-nox (>= 4.02.2), libfindlib-ocaml, cppo, ocamlbuild,
- libppx-deriving-ocaml-dev (>= 4.0)
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-ocaml,
+ ocaml-nox,
+ cppo,
+ libppx-tools-ocaml-dev,
+ libppx-deriving-ocaml-dev (>= 4.4),
+ ocaml-dune (>= 2.0)
 Build-Depends-Indep: texlive-latex-base, latexmk,
  lmodern, texlive-fonts-recommended, texlive-latex-extra,
  ocp-indent
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://gitlab.inria.fr/fpottier/visitors
-Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-visitors
-Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-visitors.git
+Vcs-Browser: https://salsa.debian.org:ocaml-team/ocaml-visitors
+Vcs-Git: https://salsa.debian.org:ocaml-team/ocaml-visitors.git
 
 Package: libppx-visitors-ocaml-dev
 Architecture: any
@@ -30,6 +36,7 @@
 Package: libppx-visitors-ocaml-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Documentation of the visitors syntax extension for OCaml
  This package contains the documentation of the visitors syntax extension
