=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/libppx-visitors-ocaml-dev/

%:
	dh $@ --with ocaml

override_dh_auto_build-arch:
	dune build -p visitors,visitors.runtime,visitors.ppx @install

override_dh_auto_build-indep:
	cd doc && $(MAKE)

override_dh_auto_install:
	# do nothing

override_dh_install-arch:
	mkdir -p $(DESTDIR)
	DESTDIR=$(DESTDIR) dune install
	# all useful docs are directly installed into the -doc package
	rm -r $(DESTDIR)/usr/doc

override_dh_install-indep:
	dh_installdocs -i

override_dh_auto_test:
	# do nothing
