=== debian/changelog ===
ocaml-visitors (20210608-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jan 2022 10:47:07 +0100

ocaml-visitors (20210127-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 23 Nov 2021 09:59:04 +0100
