=== debian/control ===
--- 
+++ 
@@ -6,19 +6,22 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-ocaml,
- ocaml-nox,
- cppo,
- libppx-tools-ocaml-dev,
- libppx-deriving-ocaml-dev (>= 4.4),
+ ocaml,
+ libppxlib-ocaml-dev (>= 0.22.0),
+ libppx-deriving-ocaml-dev (>= 5.0),
  ocaml-dune (>= 2.0)
-Build-Depends-Indep: texlive-latex-base, latexmk,
- lmodern, texlive-fonts-recommended, texlive-latex-extra,
+Build-Depends-Indep:
+ texlive-latex-base,
+ latexmk,
+ lmodern,
+ texlive-fonts-recommended,
+ texlive-latex-extra,
  ocp-indent
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.inria.fr/fpottier/visitors
-Vcs-Browser: https://salsa.debian.org:ocaml-team/ocaml-visitors
-Vcs-Git: https://salsa.debian.org:ocaml-team/ocaml-visitors.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-visitors
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-visitors.git
 
 Package: libppx-visitors-ocaml-dev
 Architecture: any
