=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dune build -p visitors,visitors.runtime,visitors.ppx @install
 
 override_dh_auto_build-indep:
-	cd doc && $(MAKE)
+	cd doc && $(MAKE) SHELL=/bin/bash
 
 override_dh_auto_install:
 	# do nothing
