=== debian/changelog ===
ocaml-visitors (20250212-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Feb 2025 08:49:14 +0100

ocaml-visitors (20210608-6) unstable; urgency=medium

  * Team upload
  * Add libresult-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 09:32:32 +0200

ocaml-visitors (20210608-5) unstable; urgency=medium

  * Team upload
  * Fix arch-indep build

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:11:38 +0200

ocaml-visitors (20210608-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:28:07 +0200

ocaml-visitors (20210608-3) unstable; urgency=medium

  * Fix installation directory.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 10:53:36 +0200

ocaml-visitors (20210608-2) unstable; urgency=medium

  * Team upload.
  * Bump standards-version to 4.6.2.
  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Jul 2023 09:13:41 +0200
