=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
	 https://gitlab.inria.fr/fpottier/visitors.git \
         refs/tags/([\d]+)
