=== runtime/Makefile ===
.PHONY: all
all:
	@ make -C .. $@
