=== src/Makefile ===
.PHONY: all
all:
	@ dune build @check
