=== test/Makefile ===
.PHONY: test
test:
	@ make -C .. $@
