=== test/bad/Makefile ===
.PHONY: test clean

test:
	cram -iv visitors.t

clean:
	rm -f visitors.t.err
