=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Ralf Treinen <treinen@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
+ dh-ocaml (>= 1.2.2),
  ocaml,
  libppxlib-ocaml-dev (>= 0.22.0),
  libppx-deriving-ocaml-dev (>= 5.0),
+ libresult-ocaml-dev,
  ocaml-dune (>= 2.0)
 Build-Depends-Indep:
  texlive-latex-base,
@@ -16,9 +17,10 @@
  lmodern,
  texlive-fonts-recommended,
  texlive-latex-extra,
+ ocaml-findlib,
+ libppx-import-ocaml-dev,
  ocp-indent
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://gitlab.inria.fr/fpottier/visitors
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-visitors
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-visitors.git
