=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_build-indep:
	cd doc && $(MAKE) SHELL=/bin/bash

override_dh_auto_install-indep:
# Do nothing
