=== debian/watch ===
Version: 5

Source: https://gitlab.inria.fr/fpottier/visitors.git
Matching-Pattern: refs/tags/([\d]+)
Mode: git
Pgpmode: none
