## ocaml-visitors 20251114

=== doc/Makefile ===
--- 
+++ 
@@ -11,15 +11,18 @@
 ML         := $(shell ls ../test/*.ml | grep -v cppo | grep -v processed)
 PROCESSED  := $(patsubst %.ml,%.processed.ml,$(ML))
 
-.PHONY: all loop clean prerequisites sources
+.PHONY: all loop view clean prerequisites sources
 
 all: prerequisites
 	make sources
-	latexmk -g -pdf manual
+	latexmk -pdf manual
 
 loop: prerequisites
 	make sources
 	latexmk -pdf -pvc manual
+
+view: all
+	open manual.pdf
 
 clean:
 	rm -f $(PROCESSED)
@@ -28,7 +31,8 @@
 # We need the following packages, plus visitors itself,
 # which we install in the current switch.
 prerequisites:
-	opam install --yes ocamlfind ppx_tools ocp-indent
-	make -C .. install
+	@ if ! command -v ocp-indent >/dev/null ; then \
+	  echo "Error: ocp-indent is not installed." ; exit 1 ; \
+	fi
 
 sources: $(wildcard *.tex) $(wildcard *.bib) $(wildcard *.sty) $(ML) $(PROCESSED)
