=== debian/changelog ===
ocaml-visitors (20251114-1build5) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Feb 2026 16:09:26 +0100

ocaml-visitors (20251114-1build4) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 25 Jan 2026 22:33:54 +0100

ocaml-visitors (20251114-1build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Dec 2025 20:59:18 +0100

ocaml-visitors (20251114-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Dec 2025 08:18:31 +0100

ocaml-visitors (20251114-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Dec 2025 07:07:27 +0100

ocaml-visitors (20251114-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 28 Nov 2025 08:54:37 +0100
